DADA2 in R (return code 1) error

I have looked over the other posts. I think I have executed the suggestions properly. I did the mkdir /home/qiime2/tempo then export TMPDIR=/home/qiime2/tempo/ thing, logged out. Error is encountered while running DADA2 in R (return code 1)
Debug
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpecoxrktt/forward /tmp/tmpecoxrktt/reverse /tmp/tmpecoxrktt/output.tsv.biom /tmp/tmpecoxrktt/track.tsv /tmp/tmpecoxrktt/filt_f /tmp/tmpecoxrktt/filt_r 140 110 7 7 2.0 2 consensus 1.0 1 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.1 / RcppParallel: 4.4.2

  1. Filtering …
  2. Learning Error Rates
    147861420 total bases in 1111740 reads from 27 samples will be used for learning the error rates.
    Error: cannot allocate vector of size 95.4 Mb
    Execution halted
    Warning message:
    system call failed: Cannot allocate memory
    Traceback (most recent call last):
    File “/home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 231, in denoise_paired
    run_commands([cmd])
    File “/home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpecoxrktt/forward’, ‘/tmp/tmpecoxrktt/reverse’, ‘/tmp/tmpecoxrktt/output.tsv.biom’, ‘/tmp/tmpecoxrktt/track.tsv’, ‘/tmp/tmpecoxrktt/filt_f’, ‘/tmp/tmpecoxrktt/filt_r’, ‘140’, ‘110’, ‘7’, ‘7’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/site-packages/q2cli/commands.py”, line 311, in call
results = action(**arguments)
File “</home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/site-packages/decorator.py:decorator-gen-451>”, line 2, in denoise_paired
File “/home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 365, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 246, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

command lines
qiime dada2 denoise-paired
–i-demultiplexed-seqs ‘/home/qiime2/qiime-attempt-5EQ/paired-end-demux.qza’
–o-table table.qza
–o-representative-sequences rep-seqs.qza
–o-denoising-stats denoise-stat.qza
–p-trim-left-f 7
–p-trim-left-r 7
–p-trunc-len-f 140
–p-trunc-len-r 110

Hi @joe0750,
Here is the key line in the error message:

Have you searched the archive for this error message or just for return code 1? https://forum.qiime2.org/search?q=system%20call%20failed%3A%20Cannot%20allocate%20memory

I recommend reading over those topics. This is almost always a hardware issue, though you may be able to mitigate in some ways, e.g., see here:


I looked over my settings and realized I had not set my memory properly when I downloaded 2019.4. My processor was on 2 CPUs instead of 4 and I upped my RAM from 2 GB to 13 GB. Now it worked. This was on 29 samples. Hopefully I have enough to run 300 when I do the entire data set.

3 Likes